Mark All Notifications as Read
curl --request PATCH \
--url https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"markedAsRead": 123
}App Notification Endpoints
Mark All Notifications as Read
Mark all unread notifications as read for the authenticated user
Mark All Notifications as Read
curl --request PATCH \
--url https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sublay.io/v8/:projectId/app-notifications/mark-all-as-read")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"markedAsRead": 123
}Marks all unread notifications as read for the currently authenticated user. Only notifications that are currently
Example:
isRead: false are updated.
This endpoint requires an authenticated user. Include a valid
Authorization: Bearer <accessToken> header.Response
Returns HTTP200 with the number of notifications that were updated:
number
The count of notifications that were updated from unread to read. Returns
0 if there were no unread notifications.{
"markedAsRead": 12
}
Error Responses
Missing token — 401
Missing token — 401
No
Authorization header was sent. The body is text/plain, not JSON:Unauthorized
Expired or invalid token — 403
Expired or invalid token — 403
The header was sent but the token failed verification. Refresh the access
token and retry. The body is
text/plain, not JSON:Forbidden

